[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [rhelv5-list] problems about "export LD_ASSUEM_KERNEL=2.4.19"



On Tue, 2007-12-11 at 16:24 +0200, Jussi Silvennoinen wrote:
> > hi ,all 
> > 
> >    I am using IBM DB2 V8.1 in Red Hat Enterprise Linux 4 update4 all
> the time ,adding  "export LD_ASSUEM_KERNEL=2.4.19" to profile file .
> If I don't add the line , the DataBase System can't run .
> > 
> >    And now , I want to update my OS to RHEL 5 .When I use the export
> - "LD_ASSUME_KERNEL" ,there are some problem in system, many soft
> can't run well .
> > 
> >    Can someone help me ? 
> 
> RHEL5 does not have LinuxThreads support, it was dropped and NPTL
> replaced 
> it completely. There is no workaround for legacy applications except 
> running them on older RHEL's.

Well, I wouldn't quite say no workaround, although perhaps no easy
workaround.  We had one application that was causing us problems because
of this issue so we simply created a RHEL4 compatibility area in a
chroot environment.  Works like a charm.

Later,
Tom





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]